Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.bidiTools.bdlayout
Class Mlog

    java.lang.Object
      com.ibm.bidiTools.bdlayout.Mlog

    public class Mlog

extends java.lang.Object

This class is used for tracing purposes

Constructor Summary
`Mlog()`

Method Summary
`static boolean` | `logEnable(boolean newFlag)`
`static boolean` | `logReturn(boolean flag)`
`static char[]` | `logReturn(char[] chars)`
`static java.nio.CharBuffer` | `logReturn(java.nio.CharBuffer cb)`
`static java.lang.String` | `logReturn(java.lang.String s)`
`static void` | `printStackTrace(java.lang.String s)`
`static void` | `putHexLine(char[] input, boolean compact)`
`static void` | `putHexLine(char[] input, int offset, int limit, boolean compact)`
`static void` | `putHexLine(java.lang.String s)`
`static void` | `putHexLine(java.lang.String s, boolean compact)`
`static void` | `putLine(java.lang.String s)`
`static java.lang.String` | `toHex(char[] chars, boolean compact)`
`static java.lang.String` | `toHex(char[] input, int offset, int limit, boolean compact)`
`static java.lang.String` | `toHex(java.lang.String s, boolean compact)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mlog

    public Mlog()

Method Detail

### logEnable

    public static boolean logEnable(boolean newFlag)

### putLine

    public static void putLine(java.lang.String s)

### toHex

    public static java.lang.String toHex(char[] chars,
                                         boolean compact)

### toHex

    public static java.lang.String toHex(char[] input,
                                         int offset,
                                         int limit,
                                         boolean compact)

### toHex

    public static java.lang.String toHex(java.lang.String s,
                                         boolean compact)

### putHexLine

    public static void putHexLine(char[] input,
                                  boolean compact)

### putHexLine

    public static void putHexLine(char[] input,
                                  int offset,
                                  int limit,
                                  boolean compact)

### putHexLine

    public static void putHexLine(java.lang.String s)

### putHexLine

    public static void putHexLine(java.lang.String s,
                                  boolean compact)

### logReturn

    public static boolean logReturn(boolean flag)

### logReturn

    public static char[] logReturn(char[] chars)

### logReturn

    public static java.lang.String logReturn(java.lang.String s)

### logReturn

    public static java.nio.CharBuffer logReturn(java.nio.CharBuffer cb)

### printStackTrace

    public static void printStackTrace(java.lang.String s)

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD